ELStrutsTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.bean
Class ELStrutsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.bean.StrutsTag
              org.apache.strutsel.taglib.bean.ELStrutsTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELStrutsTag

extends StrutsTag

Define a scripting variable that exposes the requested Struts internal configuraton object.

This class is a subclass of the class `org.apache.struts.taglib.bean.StrutsTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.bean.StrutsTag
`formBean, forward, id, mapping, messages`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELStrutsTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getFormBeanExpr()` Getter method for "formBean" tag attribute.
`String` | `getForwardExpr()` Getter method for "forward" tag attribute.
`String` | `getIdExpr()` Getter method for "id" tag attribute.
`String` | `getMappingExpr()` Getter method for "mapping" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setFormBeanExpr(String formBeanExpr)` Setter method for "formBean" tag attribute.
`void` | `setForwardExpr(String forwardExpr)` Setter method for "forward" tag attribute.
`void` | `setIdExpr(String idExpr)` Setter method for "id" tag attribute.
`void` | `setMappingExpr(String mappingExpr)` Setter method for "mapping" tag attribute.

Methods inherited from class org.apache.struts.taglib.bean.StrutsTag
`getFormBean, getForward, getId, getMapping, setFormBean, setForward, setId, setMapping`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELStrutsTag

    public ELStrutsTag()

Method Detail

### getIdExpr

    public String getIdExpr()

  Getter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### getFormBeanExpr

    public String getFormBeanExpr()

  Getter method for "formBean" tag attribute. (Mapping set in associated BeanInfo class.)

### getForwardExpr

    public String getForwardExpr()

  Getter method for "forward" tag attribute. (Mapping set in associated BeanInfo class.)

### getMappingExpr

    public String getMappingExpr()

  Getter method for "mapping" tag attribute. (Mapping set in associated BeanInfo class.)

### setIdExpr

    public void setIdExpr(String idExpr)

  Setter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### setFormBeanExpr

    public void setFormBeanExpr(String formBeanExpr)

  Setter method for "formBean" tag attribute. (Mapping set in associated BeanInfo class.)

### setForwardExpr

    public void setForwardExpr(String forwardExpr)

  Setter method for "forward" tag attribute. (Mapping set in associated BeanInfo class.)

### setMappingExpr

    public void setMappingExpr(String mappingExpr)

  Setter method for "mapping" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `StrutsTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `StrutsTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.